Unispec Docs
ApiVector database

Create an index

Create a vector index. Provide a `dimension` + `metric` for raw vectors, or an `embed` model for server-side (integrated) embedding — not both.

POST
/v1/indexes

Create a vector index. Provide a dimension + metric for raw vectors, or an embed model for server-side (integrated) embedding — not both.

Authorization

TokenAuth
Authorization<token>

Project API key as Token lb-sk_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/indexes" \  -H "Content-Type: application/json" \  -d '{    "name": "products",    "dimension": 384,    "metric": "cosine"  }'
{  "name": "string",  "dimension": 0,  "metric": "string",  "embed_model": "string",  "managed": true,  "created_at": "2019-08-24T14:15:22Z"}
{  "detail": "string"}